Get an API key
curl --request GET \
--url https://api.bitgpt.xyz/developers/api_keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bitgpt.xyz/developers/api_keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bitgpt.xyz/developers/api_keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a",
"label": "My API Key",
"description": "Key for accessing product APIs",
"scopes": [
"products.create",
"products.read"
],
"ip_allow_list": [
"127.0.0.1",
"192.168.1.0/24"
],
"expires_at": "2026-05-30 20:23:16",
"created_at": "2025-06-30 15:00:22",
"updated_at": "2025-07-01 10:30:45",
"metrics": {
"api_key_id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a",
"total_requests": 1250,
"last_used_at": "2025-07-01 09:15:30"
}
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "Resource created successfully",
"env": "development"
}{
"error": "<string>",
"message": null,
"log": "<string>",
"validator": {},
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}{
"status": 401,
"error": "<string>",
"message": null,
"log": "<string>",
"validator": {},
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}{
"status": 403,
"error": "<string>",
"message": null,
"log": "<string>",
"validator": {},
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}{
"status": 404,
"error": "<string>",
"message": null,
"log": "<string>",
"validator": {},
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}API Keys
Get an API key
Get details of a specific API key by ID
GET
/
developers
/
api_keys
/
{id}
Get an API key
Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Path Parameters
API Key ID
Response
Successful API key view response
Status code of the response
Available options:
200, 201, 202 Response data containing the requested object
Show child attributes
Show child attributes
Example:
{
"id": "api_key_0197c0f1-9589-7990-b421-4b806f637b0c",
"label": "My API Key",
"description": "Key for accessing product APIs",
"secret": "sk_live_MDE5N2MwZjEtOTU4OS03N2U0LWJiY2YtNGQ0OWQ4YTM5NzUzX2JpdGdwdA",
"scopes": ["products.create"],
"ip_allow_list": ["127.0.0.1"],
"expires_at": "2026-05-30 20:23:16",
"created_at": "2025-06-30 15:05:47",
"updated_at": null,
"metrics": {
"api_key_id": "api_key_0197c0f1-9589-7990-b421-4b806f637b0c",
"total_requests": 150,
"last_used_at": "2025-06-30 16:03:44"
}
}
Message of the response, human readable
Example:
"Resource created successfully"
API environment
Available options:
development, production Error message of the response, human readable
Example:
"Invalid email address"
Useful informaiton, not always present, to debug the response
Examples:
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
Example:
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
Example:
"support_uuidv7-something-else"
⌘I

